> For the complete documentation index, see [llms.txt](https://docs.vesicash.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vesicash.com/api-documentation/api-authentication.md).

# Authentication

The Vesicash API supports basic authentication using the access Keys (public and private keys) which is accessible via the Vesicash dashboard.&#x20;

Public keys are fielded from any front-end integration like the Vesicash app. By design, public keys cannot modify any part of you or your customer account details besides initiating transactions and making payments. The private keys however, are to be kept secret. If for any reason you believe your private key has been compromised or you wish to reset them, you can do so from the dashboard.

### Usage

Authenticate your API calls by including your private key in the header of each request you make.&#x20;

```
 --header 'accept: application/json' \
 --header 'V-PRIVATE-KEY: v_EnterThePrivateKeyThatWasGeneratedHere' 
 --header 'V-PUBLIC-KEY: v_EnterThePublicKeyThatWasGeneratedHere' 
```

> While carrying out api test, we will provide you **test keys** for test transactions. However, after testing, you must switch to the **Live keys** in production whilst deploying.

API requests made without authentication will fail with the status code `401: Unauthorized`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vesicash.com/api-documentation/api-authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
